-- LSCM Unwrap SEAM Edges
-- by Christoph 'CrazyButcher' Kubisch
-- http://crazybutcher.luxinia.de
-- version 0.1
--


fn LSCM_markEdge = (
	if subobjectlevel == undefined then max modify mode
	if subobjectlevel != 2 then subobjectlevel = 2
	else (
		local bitid = LSCMUnwrap.getedgeflag()
		polyop.setedgeflags $ (polyop.getedgeselection $) bitid undoable:true
		nodeInvalRect $
	)
)
	
fn LSCM_unmarkEdge = (
	if subobjectlevel == undefined then max modify mode
	if subobjectlevel != 2 then subobjectlevel = 2
	else (
		local bitid = LSCMUnwrap.getedgeflag()
		stillused =  (polyop.getedgesbyflag $ bitid ) - (polyop.getedgeselection $)
		polyop.setedgeflags $ stillused bitid mask:bitid undoable:true
		nodeInvalRect $
	)
)

fn LSCM_selectEdges = (
	if subobjectlevel == undefined then max modify mode
	if subobjectlevel != 2 then subobjectlevel = 2
	else (
		local bitid = LSCMUnwrap.getedgeflag()
		polyop.setedgeselection $ (polyop.getedgesbyflag $ bitid )
	)
)

global lscmdrawstate = false

fn LSCM_drawToggle = (
	lscmdrawstate = not lscmdrawstate
	if (lscmdrawstate) then(
		LSCMUnwrap.drawSeams  true
		completeRedraw()
	)
	else(
		LSCMUnwrap.drawSeams  false
	)
	
)